import type { SetupContext } from '@vue/composition-api';
import type { TdSelectInputProps } from './type';
import type { SelectInputCommonProperties } from './interface';
export default function useSingle(props: TdSelectInputProps, context: SetupContext): {
    inputRef: import("@vue/composition-api").Ref<any>;
    commonInputProps: import("@vue/composition-api").ComputedRef<SelectInputCommonProperties>;
    singleInputValue: import("@vue/composition-api").Ref<string>;
    onInnerClear: (context: {
        e: MouseEvent;
    }) => void;
    renderSelectSingle: (h: Vue.CreateElement, popupVisible: boolean) => JSX.Element;
};
